Edge Struct Reference

## Public Member Functions

| Edge (Edge &&)=default
Edge & | operator= (Edge &&)=default
| Edge (Edge const &)=default
Edge & | operator= (Edge const &)=default
| Edge (unsigned int source, unsigned int destination)

## Public Attributes

int | src
int | dst
int | weight
unsigned int | src
unsigned int | dest

## Detailed Description

Implementation of non-weighted directed edge of a graph.

The source vertex of the edge is labelled "src" and destination vertex is labelled "dest".

## Constructor & Destructor Documentation

## Edge()

Edge::Edge | ( | unsigned int | source,
|  | unsigned int | destination
| ) |  |

inline

Set the source and destination of the vertex.

Parameters

  source | is the source vertex of the edge.
  destination | is the destination vertex of the edge.

: src(source), dest(destination) {}

The documentation for this struct was generated from the following files:

- dynamic_programming/bellman_ford.cpp
- graph/cycle_check_directed_graph.cpp